import React, { useEffect, useState } from 'react'
import useRequest from '@ahooksjs/use-request/es'

import { Modal } from 'antd'

interface IColumnCenterProps {
  open: boolean // 是否打开
  columnInfoFrom: any
  onClose: (type: 'Collection' | 'Fans') => void // 关闭
}

/**研选专栏 */
const LikesCollections: React.FC<IColumnCenterProps> = props => {
  const { open, columnInfoFrom, onClose } = props

  const handleOnClose = () => {
    props.onClose('Collection')
  }
  return (
    <Modal title="获赞与收藏" open={open} onCancel={handleOnClose} footer={null}>
      <div>当前获得点赞数 {columnInfoFrom?.CollectNum}</div>
      <div>当前获得收藏数 {columnInfoFrom?.SpecialLikeCount}</div>
    </Modal>
  )
}

export default LikesCollections
